#!/bin/zsh
name="ganame"
ver="$1"
fullname="$name-$ver"
if [ -z "$ver" ]; then
  echo usage: release.sh 1.2.3
  exit 0
fi
set -e
mkdir "$fullname"
cp -a `darcs query files | grep -v '^\.$'` "$fullname"
tar czvf "$fullname.tar.gz" "$fullname"
rm -rf "$fullname"
darcs tag "rel-$ver"
